#include <avr/pgmspace.h>
#include <avr/io.h>

void USART_Init( unsigned int baud )
{
/* Set baud rate */
UBRR0H = (unsigned char)(baud>>8);
UBRR0L = (unsigned char)baud;
/* Enable receiver and transmitter */
UCSR0B = (1<<RXEN0)|(1<<TXEN0);
/* Set frame format: 8data, 2stop bit */
UCSR0C = (1<<USBS0)|(3<<UCSZ00);
}

void USART_Transmit( unsigned char data )
{
/* Wait for empty transmit buffer */
while ( !( UCSR0A & (1<<UDRE0)) );
/* Put data into buffer, sends the data */
UDR0 = data;
}

unsigned char USART_Receive( void )
{
/* Wait for data to be received */
while ( !(UCSR0A & (1<<RXC0)) )
;
/* Get and return received data from buffer */
return UDR0;
}



int USART_puts (unsigned char *string)
{
int count=0;
while(string&& (!(*string==0x00)))
{
USART_Transmit(*string);
if((*string)=='\n'){USART_Transmit('\r');}
string++;
count++;
}
return count;
}


int USART_puts_len (unsigned char *string, int len)
{
int count;

for(count=0;count<=len;count++)
{
USART_Transmit(*(string+count));
}
return count;
}
